<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::integration::ConnectionStatusObserver Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1integration.html">integration</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_connection_status_observer.html">ConnectionStatusObserver</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1integration_1_1_connection_status_observer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::integration::ConnectionStatusObserver Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_connection_status_observer_8h_source.html">ConnectionStatusObserver.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::integration::ConnectionStatusObserver:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1integration_1_1_connection_status_observer__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1integration_1_1_connection_status_observer_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1integration_1_1_connection_status_observer_inherit__map" id="alexa_client_s_d_k_1_1integration_1_1_connection_status_observer_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::ConnectionStatus\lObserverInterface" alt="" coords="5,5,226,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::integration::ConnectionStatusObserver:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1integration_1_1_connection_status_observer__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1integration_1_1_connection_status_observer_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1integration_1_1_connection_status_observer_coll__map" id="alexa_client_s_d_k_1_1integration_1_1_connection_status_observer_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::ConnectionStatus\lObserverInterface" alt="" coords="5,5,226,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:acd4cf78cca9a275f177e50c6277d7772"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_connection_status_observer.html#acd4cf78cca9a275f177e50c6277d7772">ConnectionStatusObserver</a> ()</td></tr>
<tr class="separator:acd4cf78cca9a275f177e50c6277d7772"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afebb84787d977f68ccadd9405d498ff5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_connection_status_observer.html#afebb84787d977f68ccadd9405d498ff5">onConnectionStatusChanged</a> (const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#a2e6b08990caa9d1911b01d51d92806b4">avsCommon::sdkInterfaces::ConnectionStatusObserverInterface::Status</a> connectionStatus, const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11e">avsCommon::sdkInterfaces::ConnectionStatusObserverInterface::ChangedReason</a> reason) override</td></tr>
<tr class="separator:afebb84787d977f68ccadd9405d498ff5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7454cd155ae1e91500e99c506281641"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#a2e6b08990caa9d1911b01d51d92806b4">avsCommon::sdkInterfaces::ConnectionStatusObserverInterface::Status</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_connection_status_observer.html#ae7454cd155ae1e91500e99c506281641">getConnectionStatus</a> () const</td></tr>
<tr class="separator:ae7454cd155ae1e91500e99c506281641"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24ee171afb56413da4b86b6cbed2101e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_connection_status_observer.html#a24ee171afb56413da4b86b6cbed2101e">waitFor</a> (const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#a2e6b08990caa9d1911b01d51d92806b4">avsCommon::sdkInterfaces::ConnectionStatusObserverInterface::Status</a> connectionStatus, const std::chrono::seconds duration=std::chrono::seconds(15))</td></tr>
<tr class="separator:a24ee171afb56413da4b86b6cbed2101e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80010f65b31db8ee4a4bb98277691fcf"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_connection_status_observer.html#a80010f65b31db8ee4a4bb98277691fcf">checkForServerSideDisconnect</a> ()</td></tr>
<tr class="separator:a80010f65b31db8ee4a4bb98277691fcf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::ConnectionStatusObserverInterface</a></td></tr>
<tr class="memitem:adec117d33ac22d7509b1e01232529782 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#adec117d33ac22d7509b1e01232529782">~ConnectionStatusObserverInterface</a> ()=default</td></tr>
<tr class="separator:adec117d33ac22d7509b1e01232529782 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::ConnectionStatusObserverInterface</a></td></tr>
<tr class="memitem:a2e6b08990caa9d1911b01d51d92806b4 inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#a2e6b08990caa9d1911b01d51d92806b4">Status</a> { <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#a2e6b08990caa9d1911b01d51d92806b4a99c8ce56e7ab246445d3b134724428f3">Status::DISCONNECTED</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#a2e6b08990caa9d1911b01d51d92806b4ac69f06e1a9b016d133907b4e5f5864d2">Status::PENDING</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#a2e6b08990caa9d1911b01d51d92806b4aa5afd6edd5336d91316964e493936858">Status::CONNECTED</a>
 }</td></tr>
<tr class="separator:a2e6b08990caa9d1911b01d51d92806b4 inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec54cdb601e5f93a516400d99663d11e inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11e">ChangedReason</a> { <br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11eab50339a10e1de285ac99d4c3990b8693">ChangedReason::NONE</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11ead0749aaba8b833466dfcbb0428e4f89c">ChangedReason::SUCCESS</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11eaa0d7ca35e85a9f7eb269d17c780ab691">ChangedReason::UNRECOVERABLE_ERROR</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11ea5cd351b726751149c0464e3d9c23dcf1">ChangedReason::ACL_CLIENT_REQUEST</a>, 
<br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11eaa81589ff9e0102b95f3eafce18463d1a">ChangedReason::ACL_DISABLED</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11eaff2281b1a4e2df717c0cc8019eacfab6">ChangedReason::DNS_TIMEDOUT</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11ea1e5d3c84593c457cee72e18634f28914">ChangedReason::CONNECTION_TIMEDOUT</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11ea8ca1e58168f20f0b69f8ae91fd3426f7">ChangedReason::CONNECTION_THROTTLED</a>, 
<br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11eaabd298f8599f681c645d152c354f24de">ChangedReason::INVALID_AUTH</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11ea2e03079aa2f230632487842f6cce997a">ChangedReason::PING_TIMEDOUT</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11ea97af85d432104a37a1d183a76f05ad98">ChangedReason::WRITE_TIMEDOUT</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11eacc3d4fecdd44cc6a7090ead5bcdc89a0">ChangedReason::READ_TIMEDOUT</a>, 
<br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11eaafb0ae7bf77c6f70390d3658d3e12033">ChangedReason::FAILURE_PROTOCOL_ERROR</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11eae8c0c70879b5895c615677261d64a1ee">ChangedReason::INTERNAL_ERROR</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11ea6a701b3f16c45b9d96fec4ac97805d9c">ChangedReason::SERVER_INTERNAL_ERROR</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11eac15c6f3c089148a1bfa565ab4efea186">ChangedReason::SERVER_SIDE_DISCONNECT</a>, 
<br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11eacb2bd81ff7f58b2c6782fe390a723bbe">ChangedReason::SERVER_ENDPOINT_CHANGED</a>
<br />
 }</td></tr>
<tr class="separator:aec54cdb601e5f93a516400d99663d11e inherit pub_types_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">The class implements ConnectionStatusObserverInterface for testing. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="acd4cf78cca9a275f177e50c6277d7772"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd4cf78cca9a275f177e50c6277d7772">&#9670;&nbsp;</a></span>ConnectionStatusObserver()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::integration::ConnectionStatusObserver::ConnectionStatusObserver </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class=""><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_connection_status_observer.html">ConnectionStatusObserver</a> constructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a80010f65b31db8ee4a4bb98277691fcf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80010f65b31db8ee4a4bb98277691fcf">&#9670;&nbsp;</a></span>checkForServerSideDisconnect()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::integration::ConnectionStatusObserver::checkForServerSideDisconnect </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Function to check if the connection is broken due to Server side Disconnect. </p><dl class="section return"><dt>Returns</dt><dd>true if the disconnect happens due to SERVER_SIDE_DISCONNECT else false. </dd></dl>

</div>
</div>
<a id="ae7454cd155ae1e91500e99c506281641"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7454cd155ae1e91500e99c506281641">&#9670;&nbsp;</a></span>getConnectionStatus()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#a2e6b08990caa9d1911b01d51d92806b4">ConnectionStatusObserverInterface::Status</a> alexaClientSDK::integration::ConnectionStatusObserver::getConnectionStatus </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">The utility function to get the connection status. </p><dl class="section return"><dt>Returns</dt><dd>Status The <code>connectionStatus</code> for the connection. </dd></dl>

</div>
</div>
<a id="afebb84787d977f68ccadd9405d498ff5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afebb84787d977f68ccadd9405d498ff5">&#9670;&nbsp;</a></span>onConnectionStatusChanged()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::ConnectionStatusObserver::onConnectionStatusChanged </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#a2e6b08990caa9d1911b01d51d92806b4">avsCommon::sdkInterfaces::ConnectionStatusObserverInterface::Status</a>&#160;</td>
          <td class="paramname"><em>status</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11e">avsCommon::sdkInterfaces::ConnectionStatusObserverInterface::ChangedReason</a>&#160;</td>
          <td class="paramname"><em>reason</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Called when the AVS connection state changes.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">status</td><td>The current connection status. </td></tr>
    <tr><td class="paramname">reason</td><td>The reason the status change occurred. </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#a86c38e6558c56c1eb80dd2dfb14d9661">alexaClientSDK::avsCommon::sdkInterfaces::ConnectionStatusObserverInterface</a>.</p>

</div>
</div>
<a id="a24ee171afb56413da4b86b6cbed2101e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24ee171afb56413da4b86b6cbed2101e">&#9670;&nbsp;</a></span>waitFor()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::integration::ConnectionStatusObserver::waitFor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#a2e6b08990caa9d1911b01d51d92806b4">avsCommon::sdkInterfaces::ConnectionStatusObserverInterface::Status</a>&#160;</td>
          <td class="paramname"><em>connectionStatus</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::chrono::seconds&#160;</td>
          <td class="paramname"><em>duration</em> = <code>std::chrono::seconds(15)</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Function to allow waiting for an expected status when a connection or disconnection is done. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">connectionStatus</td><td>The expected connection status for which the waiting is done. </td></tr>
    <tr><td class="paramname">duration</td><td>The maximum time waiting for the expected connectionStatus. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if expected connectionStatus is received within <code>duration</code> else false. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/Integration/include/Integration/<a class="el" href="_connection_status_observer_8h_source.html">ConnectionStatusObserver.h</a></li>
<li>/workplace/avs-device-sdk/Integration/src/<a class="el" href="_connection_status_observer_8cpp.html">ConnectionStatusObserver.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
